Package: io.vertx.groovy.core.streams

## [Groovy] Class ReadStreamImpl<T>

- io.vertx.groovy.core.streams.ReadStreamImpl

- All Implemented Interfaces and Traits:
    ReadStream

      @groovy.transform.CompileStatic
      class ReadStreamImpl
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReadStreamImpl (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ReadStream<T>` | `endHandler(io.vertx.core.Handler<java.lang.Void> endHandler)` Set an end handler.
    `ReadStream<T>` | `exceptionHandler(io.vertx.core.Handler<java.lang.Throwable> handler)` Set an exception handler on the read stream.
    `java.lang.Object` | `getDelegate()`
    `ReadStream<T>` | `handler(io.vertx.core.Handler<T> handler)` Set a data handler.
    `ReadStream<T>` | `pause()` Pause the `ReadSupport`.
    `ReadStream<T>` | `resume()` Resume reading.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ReadStreamImpl(java.lang.Object delegate)

  - ### Method Detail

    - #### ReadStream<T> endHandler(io.vertx.core.Handler<java.lang.Void> endHandler)

      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        endHandler

    - #### ReadStream<T> exceptionHandler(io.vertx.core.Handler<java.lang.Throwable> handler)

      Set an exception handler on the read stream.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `handler` - the exception handler

    - #### java.lang.Object getDelegate()

    - #### ReadStream<T> handler(io.vertx.core.Handler<T> handler)

      Set a data handler. As data is read, the handler will be called with the data.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        handler

    - #### ReadStream<T> pause()

      Pause the `ReadSupport`. While it's paused, no data will be sent to the `dataHandler`

      Returns:
        a reference to this, so the API can be used fluently

    - #### ReadStream<T> resume()

      Resume reading. If the `ReadSupport` has been paused, reading will recommence on it.

      Returns:
        a reference to this, so the API can be used fluently